Supported data sources in IBM Content Analytics Version 2.1

Product documentation


Abstract

This page provides detailed information about the data sources that are supported by IBM Content Analytics Version 2.1, formerly named IBM Cognos Content Analytics, and each subsequent fix pack.

This page describes the minimum product levels to install before opening a problem report with the IBM Software Support team. Because other products frequently ship fixes, updates, and new releases, not every possible configuration can be tested. In general, you can install and run with updates, such as fix packs, supported product releases (not necessarily significant new product versions), if those updates are forward compatible.

Content

Supported data sources for IBM Content Analytics Version 2.1


Legend
Icon Description
Supported Supported
Δ Added or changed information since the last release, modification, or fix pack. This mark in the far left column indicates new or changed information in the row. This mark in a particular cell within a row further identifies a specific change within an existing row.


Table Reference

The following information is provided for each supported data source:

  • The supported data source versions
  • The supported operating systems where the data sources can be crawled
  • The type of crawler that you must configure to include the data source in a collection
  • Whether access to documents can be controlled by validating the user's credentials against access control data that is stored in the index (pre-filtering), and whether a user's credentials can be validated against current access control data in the data source before search results are returned (post-filtering)
  • Whether the data source supports authentication through single sign-on security (SSO)
  • Whether additional software is required to crawl the data source, and whether that software is included in the product distribution package



Content Management sources

Supported versions Hardware platform:
Crawler type
ACL validation
SSO
Additional requirements
Windows
Linux
AIX
   IBM Content Manager 8.3, 8.4, 8.4.2 Supported on 'Windows Supported on Linux Supported on AIX
DB2 Content Manager
Supports ACL validation
EMC/Documentum 5.3 SP1, 5.3 SP2, 5.3 SP3 Supported on 'Windows Supported on Linux Supported on AIX
Content Integrator
Supports ACL validation IBM Content Integrator 8.5.1 (included).
EMC/Documentum 6.0, 6.5 Supported on 'Windows Supported on Linux Supported on AIX
Content Integrator
Supports ACL validation IBM Content Integrator 8.5.1 (included).
FileNet Panagon Content Services 5.4, 5.5 Supported on 'Windows Supported on Linux Supported on AIX
Content Integrator
Supports ACL validation IBM Content Integrator 8.5.1 (included).
FileNet P8 CM 3.5.2 Supported on 'Windows Supported on Linux Supported on AIX
Content Integrator
Supports ACL validation
Pre-filtering only
IBM Content Integrator 8.5.1 (included).
FileNet P8 CM 4.0 Supported on 'Windows Supported on Linux Supported on AIX
FileNet P8 or Content Integrator
Supports ACL validation
Pre-filtering only
To use the Content Integrator crawler, IBM Content Integrator 8.5.1 (included) is required.
FileNet P8 CM 4.5 Supported on 'Windows Supported on Linux Supported on AIX
FileNet P8 or Content Integrator
Supports ACL validation
Pre-filtering only
To use the Content Integrator crawler, IBM Content Integrator 8.5.1 (included) is required.
Hummingbird DM 5.1.0.5 with SR6 Supported on 'Windows Supported on Linux Supported on AIX
Content Integrator
Supports ACL validation IBM Content Integrator 8.5.1 (included).
Microsoft Windows SharePoint Server 2003 SP2 with Microsoft Windows SharePoint Services 3.0 Supported on 'Windows
Content Integrator
Supports ACL validation IBM Content Integrator 8.5.1 (included).

Farms are not supported.
Microsoft Windows SharePoint Server 2007 with Microsoft Windows SharePoint Services 3.0 Supported on 'Windows
Content Integrator or SharePoint
Supports ACL validation To use the Content Integrator crawler, IBM Content Integrator 8.5.1 (included) is required.

Farms are not supported.

NT LAN Manager (NTLM) Version 2 authentication is not supported.
Open Text Livelink Enterprise Server 9.6, 9.7 Supported on 'Windows Supported on Linux Supported on AIX
Content Integrator
Supports ACL validation
Pre-filtering only
IBM Content Integrator 8.5.1 (included).
WebSphere Portal Document Manager 6.0 Supported on 'Windows Supported on Linux Supported on AIX
Content Integrator
Supports ACL validation Supports SSO IBM Content Integrator 8.5.1 (included).

Database systems

Support for IBM DB2:

  • To use the JDBC crawler to crawl IBM DB2 databases, use the DB2 Universal JDBC Driver (Type 4) as the access mechanism.
  • To use the DB2 crawler to crawl IBM DB2 V9.1 databases, use DB2 Enterprise Server Edition 9.1 as the access mechanism.
  • To use the DB2 crawler to crawl IBM DB2 V9.5 databases, use DB2 Enterprise Server Edition 9.5 Fix Pack 1 as the access mechanism. Note that the DECFLOAT data type is not supported.
  • To use the DB2 crawler to crawl IBM DB2 V9.7 databases, use DB2 Enterprise Server Edition 9.7 as the access mechanism.
  • If you use IBM DB2 V9.1, V9.5, or V9.7 and more than one copy of DB2COPY is installed on the same machine, review important crawler configuration information in The DB2 crawler cannot discover databases if multiple copies of DB2COPY are installed.

Supported JDBC Drivers:

  • DB2 Driver for JDBC and SQLJ (Type 2)
  • DB2 Driver for JDBC and SQLJ (Type 4)
  • Microsoft SQL Server 2005 JDBC driver 1.2
  • Oracle 10g or 11g JDBC Driver Thin (Type 4)
Supported versions Operating system:
Crawler type
ACL validation
SSO
Additional requirements
Windows
Linux
AIX
   CA-Datacom 10 Supported on 'Windows Supported on Linux Supported on AIX
DB2
InfoSphere Federation Server 9.1.1 or later (version 9.7 is included) or InfoSphere Classic Federation for z/OS 9.1.1 or later (separate purchase required).
DB2 9.1 for Linux, Unix, and Windows:
- DB2 Enterprise Server Edition 9.1
- DB2 Express Edition 9.1
- DB2 Workgroup Server Edition 9.1
Supported on 'Windows Supported on Linux Supported on AIX
DB2 or JDBC
DB2 9.5 for Linux, Unix, and Windows Fix Pack 1:
- DB2 Enterprise Server Edition 9.5
- DB2 Express Edition 9.5
- DB2 Workgroup Server Edition 9.5
Supported on 'Windows Supported on Linux Supported on AIX
DB2 or JDBC
Enterprise Server Edition does not support x86 (32-bit).
DB2 9.7 for Linux, Unix, and Windows
- DB2 Enterprise Server Edition 9.7
- DB2 Express Edition 9.7
- DB2 Workgroup Server Edition 9.7
Supported on 'Windows Supported on Linux Supported on AIX
DB2 or JDBC
DB2 for iSeries 5.3 and 5.4 Supported on 'Windows Supported on Linux Supported on AIX
DB2
DB2 for z/OS 7 and 8 Supported on 'Windows Supported on Linux Supported on AIX
DB2
IBM IMS 7.1 Supported on 'Windows Supported on Linux Supported on AIX
DB2
InfoSphere Federation Server 9.1.1 or later (version 9.7 is included) or InfoSphere Classic Federation for z/OS 9.1.1 or later (separate purchase required).
IBM IMS 8, 9, 10, 11 Supported on 'Windows Supported on Linux Supported on AIX
DB2
InfoSphere Federation Server 9.5 or later (version 9.7 is included) or InfoSphere Classic Federation for z/OS 9.5 or later (separate purchase required).
IBM WebSphere MQ with Event Publisher 6.0, 7.0 Supported on 'Windows Supported on Linux Supported on AIX
DB2
Informix Dynamic Server Enterprise Edition 10, 11.10, 11.50 Supported on 'Windows Supported on Linux Supported on AIX
DB2
Microsoft SQL Server Enterprise 2005 Supported on 'Windows Supported on Linux Supported on AIX
DB2 or JDBC
To use the JDBC crawler:
Microsoft SQL Server 2005 JDBC Driver.

To use the DB2 crawler:
DB2 Enterprise Server Edition 9.1 or later (version 9.7 is included) and InfoSphere Federation Server 9.1.1 or later (version 9.7 is included).
Microsoft SQL Server Enterprise 2008 Supported on 'Windows Supported on Linux Supported on AIX
DB2 or JDBC
To use the JDBC crawler:
Microsoft SQL Server 2008 JDBC Driver.

To use the DB2 crawler:
DB2 Enterprise Server Edition 9.7 (included) and InfoSphere Federation Server 9.7 (included).
MySQL 5.0 Supported on 'Windows Supported on Linux Supported on AIX
JDBC
MySQL Connector/J (Type4 JDBC Driver).
Oracle 9i, 10g, 11g Supported on 'Windows Supported on Linux Supported on AIX
DB2 or JDBC
To use the JDBC crawler:
Oracle JDBC Thin (Type4) Driver

To use the DB2 crawler:
DB2 Enterprise Server Edition 9.1 or later (version 9.7 is included) and InfoSphere Federation Server 9.1.1 or later (version 9.7 is included).

Support for Oracle databases does not include support for the Oracle Exadata platform.
Software AG Adabas 7.1 Supported on 'Windows Supported on Linux Supported on AIX
DB2
InfoSphere Federation Server 9.1.1 or later (version 9.7 is included) or InfoSphere Classic Federation for z/OS 9.1.1 or later (separate purchase required).
Sybase 11.9.2, 12.0, 12.5.x Supported on 'Windows Supported on Linux Supported on AIX
DB2
InfoSphere Federation Server 9.1.1 or later (version 9.7 is included) and Sybase Open Client 11.9.2, 12.0, or 12.5 (ctlib interface).
VSAM for z/OS 1.4 Supported on 'Windows Supported on Linux Supported on AIX
DB2
InfoSphere Federation Server 9.1.1 or later (version 9.7 is included) or InfoSphere Classic Federation for z/OS 9.1.1 or later (separate purchase required).

Email, file system, and Web data sources

Supported versions Operating system:
Crawler type
ACL validation
SSO
Additional requirements
Windows
Linux
AIX
   Microsoft Exchange 2000, 2003 Supported on Windows
Exchange Server
Network News Protocol Newsgroup (NNTP)
Supported on 'Windows Supported on Linux Supported on AIX
NNTP
UNIX file systems Supported on AIX
UNIX file system
Windows 2000 Server Supported on Windows
Windows file system or Agent for Windows File Systems
Supports ACL validation You can install the Agent for Windows File Systems on a Windows file server to crawl remote Windows file systems.
Windows 2003 Server Supported on Windows
Windows file system or Agent for Windows File Systems
Supports ACL validation You can install the Agent for Windows File Systems on a Windows file server to crawl remote Windows file systems.
Windows 2008 Server Supported on Windows
Windows file system or Agent for Windows File Systems
Supports ACL validation You can install the Agent for Windows File Systems on a Windows file server to crawl remote Windows file systems.
Web servers (HTTP or HTTPS) Supported on 'Windows Supported on Linux Supported on AIX
Web

WebSphere Portal data sources

WebSphere Portal must be installed on an operating system that is supported by IBM Content Analytics: AIX, Linux, or Windows. For details, see the hardware and software system requirements.

Supported versions Operating system:
Crawler type
ACL validation
SSO
Additional requirements
Windows
Linux
AIX
   WebSphere Portal 6.1
Supported on 'Windows Supported on Linux Supported on AIX
Seed list
Workplace Web Content Management 2.5, 5.1 Supported on 'Windows Supported on Linux Supported on AIX
Web
Workplace Web Content Management 6.0, 6.0.1 Supported on 'Windows Supported on Linux Supported on AIX
Web Content Management
Lotus Web Content Management 6.1 Supported on 'Windows Supported on Linux Supported on AIX
Web Content Management
Lotus Quickr Services for WebSphere Portal 8.0.0.2 with these iFixes: LO24889 LO25419 LO25577 LO33156 Supported on 'Windows Supported on Linux Supported on AIX
Seed List
Lotus Quickr Services for WebSphere Portal 8.1 with these iFixes: LO33156 Supported on 'Windows Supported on Linux Supported on AIX
Seed List

Lotus Domino data sources

Supported versions Operating system:
Crawler type
ACL validation
SSO
Additional requirements
Windows
Linux
AIX
   Domino Document Manager 6.5.1 Supported on 'Windows Supported on Linux Supported on AIX
Domino Document Manager
Supports ACL validation Supports SSO
DIIOP only
See the notes about Domino Document Manager
Domino Document Manager 7.0

Supported on 'Windows Supported on Linux Supported on AIX
Domino Document Manager
Supports ACL validation Supports SSO
DIIOP only
See the notes about Domino Document Manager
Lotus Notes R6.5 (6.5.1 or later, LUW and iSeries) Supported on 'Windows Supported on Linux Supported on AIX
Notes
Supports ACL validation Supports SSO
DIIOP only
See the notes about Lotus Notes
Lotus Notes R7 (7.0.0 or later, LUW and iSeries) Supported on 'Windows Supported on Linux Supported on AIX
Notes
Supports ACL validation Supports SSO
DIIOP only
See the notes about Lotus Notes
Lotus Notes R8 (8.0.0 or later, LUW) Supported on 'Windows Supported on Linux Supported on AIX
Notes
Supports ACL validation Supports SSO
DIIOP only
See the notes about Lotus Notes
Lotus Notes R8.5 (LUW)) Supported on 'Windows Supported on Linux Supported on AIX
Notes
Supports ACL validation Supports SSO
DIIOP only
See the notes about Lotus Notes
Lotus Quickr Services for Domino 8.0 Supported on 'Windows Supported on Linux Supported on AIX
QuickPlace
Supports ACL validation Supports SSO
DIIOP only
See the notes about Lotus Quickr
Lotus Quickr Services for Domino 8.1 Supported on 'Windows Supported on Linux Supported on AIX
QuickPlace
Supports ACL validation Supports SSO
DIIOP only
See the notes about Lotus Quickr
Lotus Connections 2.0 Supported on 'Windows Supported on Linux Supported on AIX
Seed List
Lotus Connections 2.0.1 Supported on 'Windows Supported on Linux Supported on AIX
Seed List
Δ Lotus Connections 2.5.0.2 or later fix pack Supported on 'Windows Supported on Linux Supported on AIX
Seed List
Requires Content Analytics V2.1 Fix Pack 2.

Detailed information about Lotus Domino data sources

In the following tables, "or later" indicates support for all minor versions that follow the release of a major version (such as R6), beginning with the stated minor version number.

IBM Lotus Domino Document Manager

Required software on the crawler server AIX or Linux1 Windows
Client Software (NRPC, without native security) Domino R6.5 (6.5.1 or later)
Domino R7 (7.0.0 or later)
Notes R6.5 (6.5.1 or later)
Notes R7 (7.0.0 or later)
Domino R6.5 (6.5.1 or later)
Domino R7 (7.0.0 or later)
Client Software (NRPC, with native security) Domino R6.5 (6.5.1 or later)
Domino R7 (7.0.0 or later)
Domino R6.5 (6.5.1 or later)
Domino R7 (7.0.0 or later)
Client Software (DIIOP, without native security) None None
Client Software (DIIOP, with native security) None None
Supported servers AIX, Linux, or Windows
Server (NRPC, without native security) Domino Document Manager 6.5.1, 7.0
Server (NRPC, with native security) Domino Document Manager 6.5.1, 7.0
Server (DIIOP, without native security) Domino Document Manager 6.5.1, 7.0
Server (DIIOP, with native security) Domino Document Manager 6.5.1, 7.0

1 The Lotus Notes client is not available on these platforms. You need to install Lotus Domino but you do not need to start the Domino server on the enterprise search crawler server.

IBM Lotus Notes

Required software on the crawler server AIX or Linux1 Windows
Client Software (NRPC, without native security) Domino R6.5 (6.5.1 or later)
Domino R7 (7.0.0 or later)
Domino R8 (8.0.0 or later)
Domino R8.5
Notes R6.5 (6.5.1 or later)
Notes R7 (7.0.0 or later)
Notes R8 (8.0.0 or later)
Notes R8.5
Domino R6.5 (6.5.1 or later)
Domino R7 (7.0.0 or later)
Domino R8 (8.0.0 or later)
Domino R8.5
Client Software (NRPC, with native security) Domino R6.5 (6.5.1 or later)
Domino R7 (7.0.0 or later)
Domino R8 (8.0.0 or later)
Domino R8.5
Domino R6.5 (6.5.1 or later)
Domino R7 (7.0.0 or later)
Domino R8 (8.0.0 or later)
Domino R8.5
Client Software (DIIOP) None None
Supported servers AIX, Linux, or Windows
Server (NRPC, without native security) Domino R6.5 (6.5.1 or later)
Domino R7 (7.0.0 or later)
Domino R8 (8.0.0 or later)
Domino R8.5
Server (NRPC, with native security) Domino R6.5 (6.5.1 or later)
Domino R7 (7.0.0 or later)
Domino R8 (8.0.0 or later)
Domino R8.5
Server (DIIOP, without native security) Domino R6.5 (6.5.1 or later)
Domino R7 (7.0.0 or later)
Domino R8 (8.0.0 or later)
Domino R8.5
Server (DIIOP, with native security) Domino R6.5 (6.5.1 or later)
Domino R7 (7.0.0 or later)
Domino R8 (8.0.0 or later)
Domino R8.5

1 The Lotus Notes client is not available on these platforms. You need to install Lotus Domino but you do not need to start the Domino server on the enterprise search crawler server.

IBM Lotus Quickr for Domino

Required software on the crawler server AIX or Linux1 Windows
Client Software (NRPC, without native security) Domino R8 (8.0.0 or later)
Domino R8.1
Notes R8 (8.0.0 or later)
Notes R8.1
Domino R8 (8.0.0 or later)
Domino R8.1
Client Software (NRPC, with native security) Domino R8 (8.0.0 or later)
Domino R8.1
Domino R8 (8.0.0 or later)
Domino R8.1
Client Software (DIIOP, without native security) None None
Client Software (DIIOP, with native security) None None
Supported servers AIX or Windows
Server (NRPC, without native security) Lotus Quickr Services for Domino 8.0, 8.1
Server (NRPC, with native security) Lotus Quickr Services for Domino 8.0, 8.1
Server (DIIOP, without native security) Lotus Quickr Services for Domino 8.0, 8.1
Server (DIIOP, with native security) Lotus Quickr Services for Domino 8.0, 8.1

1 The Lotus Notes client is not available on these platforms. You need to install Lotus Domino but you do not need to start the Domino server on the enterprise search crawler server.


Related information

Release Notes
Hardware and software requirements
Information Center

Rate this page:

(0 users)Average rating

Document information


More support for:

Watson Content Analytics

Software version:

2.1

Operating system(s):

AIX, Linux, Windows

Reference #:

7015094

Modified date:

2011-03-16

Translate my page

Machine Translation

Content navigation